---
title: InputEvent.isComposing
slug: Web/API/InputEvent/isComposing
tags:
  - API
  - InputEvent
  - Property
  - Read-only
  - Reference
---
<div>{{APIRef("DOM Events")}}</div>

<p>The <code><strong>InputEvent.isComposing</strong></code> read-only property returns a {{jsxref("Boolean")}} value indicating if the event is fired after {{event("compositionstart")}} and before {{event("compositionend")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>bool</em> = <em>event</em>.isComposing;</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var inputEvent = new InputEvent('syntheticInput', false);
console.log(inputEvent.isComposing); // return false
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM3 Events','#widl-InputEvent-isComposing','InputEvent.isComposing')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.InputEvent.isComposing")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ event("compositionstart") }} and {{ event("compositionend")}}</li>
 <li>{{domxref("InputEvent")}}</li>
</ul>
